﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Diagnostics;


using Excel = Microsoft.Office.Interop.Excel;
using Word = Microsoft.Office.Interop.Word;


namespace FBsp6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bnExcel_Biff_Click(object sender, EventArgs e)
        {
            SaveFileDialog saveFileDialog1 = new SaveFileDialog();
            saveFileDialog1.Filter =
               "xls files (*.xls)|*.xls|All files (*.*)|*.*";
            saveFileDialog1.FilterIndex = 1;// zählt von 1 !
            saveFileDialog1.DefaultExt = ".xls";
            saveFileDialog1.InitialDirectory =
                System.Environment.SpecialFolder.CommonDocuments.ToString();

            saveFileDialog1.RestoreDirectory = true;
            if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string filename = saveFileDialog1.FileName.ToString();
                write2ExcelBiff(filename);
            }
        }

        private void write2ExcelBiff(String filename) {
            CExport2EXCEL excel = new CExport2EXCEL(filename);
            excel.openFile();
            excel.Write(1, 1, "i");// row col
            excel.Write(1, 2, "j");
            excel.Write(2, 1, 11);// row col
            excel.Write(2, 2, 22);
            excel.Write(3, 1, 33);// row col
            excel.Write(3, 2, 34);
            excel.closeFile();

            Process prog = new Process();
            prog.StartInfo.FileName = "excel.exe";
            prog.StartInfo.Arguments = filename;
            prog.Start();

        }

 /*       
using Excel = Microsoft.Office.Interop.Excel;
using Word = Microsoft.Office.Interop.Word;
        */

        private void bnExcel_Click(object sender, EventArgs e)
        {
            var xl = new Excel.Application();
            xl.Workbooks.Add();
            xl.Visible = true;
            xl.Cells[1, 1] = "A";// row col
            xl.Cells[1, 2] = "B";
            xl.Cells[2, 1] = 11;
            xl.Cells[2, 2] = 31;
            xl.Cells[1, 1].Select();

        }

        private void bnWord_Click(object sender, EventArgs e)
        {
            var word = new Word.Application();
            word.Visible = true;
            Word.Document doc = word.Documents.Add();

            word.Selection.TypeText("Eine\tZeile\r\nzweite Zeile");
            word.Selection.TypeParagraph();

            word.Selection.Font.Name = "Verdana";
            word.Selection.Font.Size=14;
            word.Selection.Font.Bold=1;
            word.Selection.Font.Color = Word.WdColor.wdColorBrightGreen;

            
            for (int i=0; i<10; i++)
                word.Selection.TypeText(i + ". Zeile\r\n");

            word.Selection.Font.Size = 11;
            word.Selection.Font.Bold = 0;
            word.Selection.Font.Color = Word.WdColor.wdColorDarkBlue;
            Word.Range tableLocation = doc.Range(word.Selection.Start, word.Selection.Start);
            Microsoft.Office.Interop.Word.Table table
                = doc.Tables.Add(Range: tableLocation,
                NumRows: 50, NumColumns: 4);

            //table.Borders.Enable = 1;
            table.Borders.InsideLineStyle
                = Word.WdLineStyle.wdLineStyleDouble;
            table.Borders.OutsideLineStyle
                = Word.WdLineStyle.wdLineStyleEmboss3D;
            // wdUnderlineDouble


            /*
             * .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
             */

            // Überschrift-Format
            for (int col = 1; col <= 4; col++)
            {
                Word.Cell cell = table.Cell(1, col);
                cell.Range.Font.Bold = 1;
                cell.Range.Font.Size = 14;
                cell.Range.Font.Color =
                Word.WdColor.wdColorBlue;
                cell.Range.Text = "Col " + col;
            }
            for (int row = 2; row <= 50; row++)
            {
                for (int col = 1; col <= 4; col++)
                {
                    Word.Cell cell = table.Cell(row, col);
                    cell.Range.Text = (row * 100 + col).ToString();
                }
            }
            

            // Die Tabelleüberschrift wird auf die nächsten Seite übertragen
            table.Rows[1].HeadingFormat = -1;

            object unit;
            object extend;

            unit = Word.WdUnits.wdStory;
            extend = Word.WdMovementType.wdMove;
            word.Selection.EndKey(ref unit, ref extend);
                                        

            word.Selection.TypeText("Fast Ende");

        }

    }
}
